org.modeshape.jcr.query

## Class JcrQueryResult.SingleSelectorQueryResultRowIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator
  - - org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRowIterator

- All Implemented Interfaces:
    Iterator, RowIterator, RangeIterator
  Direct Known Subclasses:
    XPathQueryResult.XPathQueryResultRowIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected static class JcrQueryResult.SingleSelectorQueryResultRowIterator
      extends JcrQueryResult.QueryResultRowIterator

  The `RowIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getRows()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `locationIndex`
    `protected int` | `scoreIndex`

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

      `columnNames, columns, context, query`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.SingleSelectorQueryResultRowIterator(JcrQueryContext context, String query, QueryResults results, Iterator<Object[]> tuples, long numRows)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Row` | `createRow(Node node, Object[] tuple)`
    `protected Row` | `getNextRow(Object[] tuple)`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

      `getPosition, getPropertyNameForColumnName, getSize, hasNext, hasSelector, jcrDouble, jcrLong, jcrName, jcrName, jcrPath, jcrString, next, nextRow, remove, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locationIndex

          protected final int locationIndex

    - #### scoreIndex

          protected final int scoreIndex

  - ### Constructor Detail

    - #### JcrQueryResult.SingleSelectorQueryResultRowIterator

          protected JcrQueryResult.SingleSelectorQueryResultRowIterator(JcrQueryContext context,
                                                             String query,
                                                             QueryResults results,
                                                             Iterator<Object[]> tuples,
                                                             long numRows)

  - ### Method Detail

    - #### getNextRow

          protected Row getNextRow(Object[] tuple)
                            throws RepositoryException

      Overrides:
        `getNextRow` in class `JcrQueryResult.QueryResultRowIterator`
      Throws:
        `RepositoryException`

    - #### createRow

          protected Row createRow(Node node,
                      Object[] tuple)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.